dhall-1.42.1: A configuration language guaranteed to terminate

Safe Haskell | None
Language | Haskell2010

Dhall.Tags

Description

This module contains the implementation of the `dhall tags` command

Synopsis

- generate :: Input -> Maybe [Text] -> Bool -> IO Text

# Documentation

generate #

Arguments

:: Input | Where to look for files. This can be a directory name (`.` for example), a file name or `StandardInput`. If `StandardInput`, then this will wait for file names from `STDIN`. This way someone can combine tools in `bash` to send, for example, output from `find` to the input of `dhall tags`.
-> Maybe [Text] | List of suffixes for dhall files or Nothing to check all files
-> Bool | Flag if `generate` should follow symlinks
-> IO Text | Content for tags file

Generate etags for Dhall expressions